Skip to main content
GET
/
v1
/
scoring_attributes
/
reports
/
{report_id}
Retrieve a scoring attributes report
curl --request GET \
  --url https://prod.truv.com/v1/scoring_attributes/reports/{report_id} \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "report_id": "<string>",
  "guid": "<string>",
  "refresh": true,
  "lender_reference": "appl-1234",
  "customer_identifier": "cust-9999",
  "purpose": "decisioning",
  "status": "success",
  "cutoff_date": "2021-03-31T00:00:00.000Z",
  "created_at": "2022-03-16 12:56:15 -0700",
  "updated_at": "2022-03-16 12:56:17 -0700",
  "alerts": [
    {
      "alert_code": 1,
      "message": "No consistent income sources present"
    }
  ],
  "scores": [
    {
      "name": "Overdraft Risk Score",
      "version": 1,
      "value": 750
    }
  ],
  "metrics": [
    {
      "name": "derived_nsf_fee_amount",
      "time_period": "2m_l0",
      "short_name": "drvd_nsf_fee_amt_2m_l0",
      "unit": "dollars",
      "value": 23.99
    }
  ],
  "derived_incomes": [
    {
      "description": "direct deposit from xyz company",
      "frequency": "semi_monthly,",
      "days": [
        15,
        -1
      ],
      "formatted_frequency": "Semi-Monthly (15, eom)",
      "months": 3,
      "average_amount": 475.99,
      "monthly_amount": 1003.21
    }
  ]
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

report_id
string
required

report_id of report to return

Response

Report successful processed

report_id
string

This is a unique report_id generated by the scoring attributes API to identify a report.

guid
string

This is a unique report_id generated by the scoring attributes API to identify a report.

refresh
boolean

Indicator on whether the report was processed as a refresh report or not.

lender_reference
string

This is the value that can be used by the lender to identify the report request. For example, this could be the loan application number.

Example:

"appl-1234"

customer_identifier
string

This is a customer level unique identifier. This key should not use personally identifiable information such as SSN or government ID numbers.

Example:

"cust-9999"

purpose
enum<string>

This field indicates the purpose of the report. Valid values are: ‘decisioning’ for FCRA credit decisioning, ‘verification’ for non-FCRA underwriting verifications and ‘analytics’ for retroactive reports used solely for analytical purposes.

Available options:
decisioning,
verification,
analytics
Example:

"decisioning"

status
enum<string>

This field indicates the report's processing status. Valid values are ‘success’, ‘failed’ ‘data_import_error’ and 'processing'. The first three statuses are terminal statuses. For reports with status of 'processing', you will need to make a call to the GET reports endpoint again to retrieve the report information.

Available options:
success,
failed,
data_import_error,
processing
Example:

"success"

cutoff_date
string

The latest date of financial activity that will be included in the report. In most cases, this should be set to the current date or application date. In the case of retro-scored reports, this date will be a date in the past.

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"2021-03-31T00:00:00.000Z"

created_at
string

The date/time of when the report was requested.

Pattern: ^\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2} -\d{}$
Example:

"2022-03-16 12:56:15 -0700"

updated_at
string

The date/time of when the report was requested.

Pattern: ^\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2} -\d{}$
Example:

"2022-03-16 12:56:17 -0700"

alerts
object[]

These are present when there are conditions that the lender should be aware of. These conditions did not prevent the completion of the report.

scores
object[]

These can be either generic or custom scores. Only scores that are applicable to the purpose of the report will be returned.

metrics
object[]
derived_incomes
object[]